<div ng-controller="RTab1Ctrl">

	 <div class="row">
	 	<div class="col-md-12" ng-if="flag">
	 		<div class="loading-container">
		        <div class="loading"></div>
		        <div id="loading-text">Cargando</div>
		    </div>
	 	</div>
	 	<div class="col-md-12" ng-if="!flag">
			<span class="label label-info">Nota:</span>   Para guardar cambios de click en el botón guardar.
			<hr>
	 		<div ui-tree data-drag-enabled="false">
              <ol ui-tree-nodes="" ng-model="opciones">
                <li ng-repeat="op in opciones" ui-tree-node>
                  	<div class="tree-node">
	                    <div class="pull-left tree-handle">
	                      <i class="fa fa-{{op.icono}}"></i>
	                    </div>
	                    <div class="tree-node-content">
	                     	<a class="btn"><i class="fa fa-angle-downh"></i></a>
	                    	<strong>{{op.nombre}}</strong>
	                    </div>
                  	</div>
                  	<ol ui-tree-nodes="" ng-model="op.subopciones">
	                    <li ng-repeat="sub in op.subopciones" ui-tree-node>
		                  <div class="tree-node" style="background-color: white">
		                    <div class="pull-left tree-handle" style="background-color: white">
		                      <i class="fa fa-minus"></i>
		                    </div>
		                    <div class="tree-node-content">
		                     	<a class="btn"><i class="fa fa-angle-downh"></i></a>
		                    	{{sub.nombre}}
			                    <div class="pull-right mr-20 mt-5">
			                    	<div class="onoffswitch primary inline-block">
					                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="loadData()" ng-model="sub.enable" id="switch{{sub.id}}" checked="">
					                    <label class="onoffswitch-label" for="switch{{sub.id}}">
					                      <span class="onoffswitch-inner"></span>
					                      <span class="onoffswitch-switch"></span>
					                    </label>
					                </div>
			                    </div>
		                    </div>
		                  </div>
		                </li>
                  	</ol>
                </li>
              </ol>
            </div>
            <hr>
            <div class="text-center">
            	<button class="btn btn-primary" ng-disabled="!(subopciones_cambiadas.length > 0)" ng-click="saveOpcion()"><i class="fa fa-save"></i> Guardar</button>
            </div>
	 	</div>
	 </div>

</div>